/*------------------------------------*\
    #SCREENREADER
\*------------------------------------*/
/**
 * Screen reader helpers.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.helpers';

.#{$inuit-namespace}sr-only,
%#{$inuit-namespace}sr-only {
    border: 0;
    clip: rect(0, 0, 0, 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.#{$inuit-namespace}sr-focus,
%#{$inuit-namespace}sr-focus {
    &:active,
    &:focus {
        clip: auto;
        height: auto;
        margin: 0;
        overflow: visible;
        position: static;
        width: auto;
    }
}
